StaticPayloadFormat(3)

NAME
StaticPayloadFormat -

Static payload format objects.

SYNOPSIS

#include <formats.h>

Inherits PayloadFormat.

  Public Member Functions
StaticPayloadFormat (StaticPayloadType type)
Constructor.

Detailed Description

Static payload format objects. Class of payload formats objects for payload types statically assigned. Because these payloads have an RTP clock rate assigned, it is not specified to the constructor. A call to StaticPayloadFormat(sptPCMU) will set the proper clock rate and any other parameters for that static payload type.

Author:
    Federico Montesino Pouzols <fedemp@altern.org>

Examples:

audiorx.cpp, audiotx.cpp, ccrtptest.cpp, rtpduphello.cpp, rtphello.cpp, rtplisten.cpp, and rtpsend.cpp.

Constructor & Destructor Documentation

  StaticPayloadFormat::StaticPayloadFormat (StaticPayloadType type)

Constructor. Builds a payload format from a static payload binding identifier, assigning the numeric identifier and RTP clock rate statically bounded.

Parameters:
    type Numeric identifier in the range 0-96.

Note:
    some identifiers are reserved.

Author

Generated automatically by Doxygen for ccRTP from the source code.